%global ver 6.09-05

Name:           xflr5
Version:        6.09.05
Release:        4%{?dist}
Summary:        Analysis tool for airfoils, wings and planes

License:        GPLv2+
URL:            http://www.xflr5.com/
# There appears to be no published source tarball to download
# Instead, the source must be checked out from svn:
#  svn co http://svn.code.sf.net/p/xflr5/code/branches/xflr5-%%{ver}/
#  rm -rf xflr5-%%{ver}/.svn
#  tar cjf xflr5-%%{ver}.tar.bz2 xflr5-%%{ver}/
Source0:        %{name}-%{ver}.tar.bz2
Source1:        %{name}.desktop
# Fix incorrect fsf addresses
Patch0:         xflr5-6.09-05_fsfaddr.patch
# Fix datadir
Patch1:         xflr5-6.09-05_datadir.patch

BuildRequires:  qt-devel
BuildRequires:  desktop-file-utils
BuildRequires:  texlive-scheme-basic
BuildRequires:  tex(inputenc.sty)
BuildRequires:  tex(babel.sty)
BuildRequires:  tex(graphicx.sty)
BuildRequires:  tex(color.sty)
BuildRequires:  tex(hyperref.sty)
BuildRequires:  tex(amsmath.sty)
BuildRequires:  tex(fancyhdr.sty)
BuildRequires:  tex(keystroke.sty)
BuildRequires:  tex(tabularx.sty)
BuildRequires:  tex(multirow.sty)
BuildRequires:  tex(rotating.sty)

Requires:       hicolor-icon-theme


%description
XFLR5 is an analysis tool for airfoils, wings and planes operating at low
Reynolds Numbers. It includes:
1. XFoil's Direct and Inverse analysis capabilities
2. Wing design and analysis capabilities based on the Lifiting Line Theory, on
   the Vortex Lattice Method, and on a 3D Panel Method


%prep
%setup -q -n %{name}-%{ver}
%patch0 -p1
%patch1 -p1

# Fix line endings
sed -i 's/\r$//' License.txt
sed -i 's/\r$//' doc/ReleaseNotes.txt

%build
%qmake_qt4 PREFIX=%{_prefix} DEFINES='APPLICATION_DATA_DIR=\\\"%{_datadir}/%{name}\\\"' %{name}_6.09.pro
make %{?_smp_mflags}
make -C doc/latex
lrelease-qt4 translations/*.ts

# Delete the translations template
rm translations/xflr5v6.qm


%install
make INSTALL_ROOT=%{buildroot} install
install -d %{buildroot}%{_datadir}/%{name}/translations
install -pm 0644 translations/*.qm %{buildroot}%{_datadir}/%{name}/translations
install -pm 0644 doc/latex/guidelines_en.pdf %{buildroot}%{_datadir}/%{name}/Guidelines.pdf
install -Dpm 0644 images/xflr5_64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -Dpm 0644 images/xflr5_128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
desktop-file-install --dir=%{buildroot}%{_datadir}/applications/%{name}.desktop %{SOURCE1}


%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc License.txt doc/ReleaseNotes.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png


%changelog
* Fri Sep 13 2013 Sandro Mani <manisandro@gmail.com> - 6.09.05-4
- Add fix for translations and guidelines path
- Build guidelines

* Fri Sep 13 2013 Sandro Mani <manisandro@gmail.com> - 6.09.05-3
- Use desktop-file-install
- Preserve timestamps

* Fri Sep 13 2013 Sandro Mani <manisandro@gmail.com> - 6.09.05-2
- Fix line endings
- Add patch to fix fsf addresses

* Fri Sep 13 2013 Sandro Mani <manisandro@gmail.com> - 6.09.05-1
- Initial package for review
